For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inTalk to sales
GuidesAPI Reference
  • Introduction
    • Getting started
  • API Reference
      • POSTBulk create transactions
      • GETRetrieve a transaction batch
      • POSTBatch create transaction events
      • GETRetrive transaction events batch
      • POSTBatch create consumer users
      • GETRetrieve a consumer user batch
      • POSTBatch create business users
      • GETRetrieve a business user batch
      • POSTBatch create consumer user events
      • GETRetrive consumer user events batch
      • POSTBatch create business user events
      • GETRetrive business user events batch
  • Webhooks
LogoLogo
Log inTalk to sales
API ReferenceBatch

Retrive transaction events batch

GET
/batch/events/transaction/:batchId
GET
/batch/events/transaction/:batchId
$curl https://sandbox.api.flagright.com/batch/events/transaction/batchId \
> -H "x-api-key: <apiKey>"
1{
2 "transactionEvents": [
3 {
4 "transactionState": "CREATED",
5 "timestamp": 2220000000000,
6 "transactionId": "string",
7 "eventId": "string",
8 "reason": "string",
9 "eventDescription": "string",
10 "updatedTransactionAttributes": {
11 "originAmountDetails": {
12 "transactionAmount": 800,
13 "transactionCurrency": "EUR",
14 "country": "DE"
15 },
16 "destinationAmountDetails": {
17 "transactionAmount": 68351.34,
18 "transactionCurrency": "INR",
19 "country": "IN"
20 },
21 "originPaymentDetails": {
22 "method": "CARD",
23 "cardFingerprint": "20ac00fed8ef913aefb17cfae1097cce",
24 "cardIssuedCountry": "US",
25 "transactionReferenceField": "Deposit",
26 "3dsDone": true
27 },
28 "destinationPaymentDetails": {
29 "method": "CARD",
30 "cardFingerprint": "20ac00fed8ef913aefb17cfae1097cce",
31 "cardIssuedCountry": "IN",
32 "transactionReferenceField": "Deposit",
33 "3dsDone": true
34 },
35 "promotionCodeUsed": true,
36 "reference": "loan repayment",
37 "originDeviceData": {
38 "batteryLevel": 95,
39 "deviceLatitude": 13.0033,
40 "deviceLongitude": 76.1004,
41 "ipAddress": "10.23.191.2",
42 "deviceIdentifier": "3c49f915d04485e34caba",
43 "vpnUsed": false,
44 "operatingSystem": "Android 11.2",
45 "deviceMaker": "ASUS",
46 "deviceModel": "Zenphone M2 Pro Max",
47 "deviceYear": "2018",
48 "appVersion": "1.1.0"
49 },
50 "destinationDeviceData": {
51 "batteryLevel": 95,
52 "deviceLatitude": 13.0033,
53 "deviceLongitude": 76.1004,
54 "ipAddress": "10.23.191.2",
55 "deviceIdentifier": "3c49f915d04485e34caba",
56 "vpnUsed": false,
57 "operatingSystem": "Android 11.2",
58 "deviceMaker": "ASUS",
59 "deviceModel": "Zenphone M2 Pro Max",
60 "deviceYear": "2018",
61 "appVersion": "1.1.0"
62 },
63 "tags": [
64 {
65 "key": "customKey",
66 "value": "customValue"
67 }
68 ],
69 "timestamp": 1641654664000
70 },
71 "metaData": {
72 "batteryLevel": 1.1,
73 "deviceLatitude": 1.1,
74 "deviceLongitude": 1.1,
75 "ipAddress": "string",
76 "ipCountry": "AF",
77 "deviceIdentifier": "string",
78 "vpnUsed": true,
79 "operatingSystem": "string",
80 "deviceMaker": "string",
81 "deviceModel": "string",
82 "deviceYear": "string",
83 "appVersion": "string"
84 },
85 "externalLinks": [
86 "string"
87 ],
88 "hitRules": [
89 {
90 "ruleInstanceId": "string",
91 "ruleName": "string",
92 "ruleDescription": "string",
93 "ruleAction": "ALLOW",
94 "ruleId": "string",
95 "versionId": "string",
96 "executedAt": 2220000000000,
97 "ruleHitMeta": {
98 "hitDirections": [
99 "ORIGIN"
100 ],
101 "falsePositiveDetails": {
102 "isFalsePositive": true,
103 "confidenceScore": 1.1
104 },
105 "sanctionsDetails": [
106 {
107 "name": "string",
108 "searchId": "string",
109 "requestHash": "string",
110 "iban": "string",
111 "entityType": "CONSUMER_NAME",
112 "sanctionHitIds": [
113 "string"
114 ],
115 "hitContext": {
116 "entity": "USER",
117 "entityType": "CONSUMER_NAME",
118 "userId": "string",
119 "transactionId": "string",
120 "ruleInstanceId": "string",
121 "ruleId": "string",
122 "iban": "string",
123 "yearOfBirth": 1,
124 "searchTerm": "string",
125 "paymentMethodId": "string"
126 },
127 "hitDirection": "ORIGIN",
128 "isRuleHit": true
129 }
130 ],
131 "isOngoingScreeningHit": true
132 },
133 "labels": [
134 "UNEXPECTED_BEHAVIOR"
135 ],
136 "nature": "AML",
137 "isShadow": true
138 }
139 ],
140 "status": "ALLOW",
141 "riskScoreDetails": {
142 "trsScore": 1.1,
143 "trsRiskLevel": "VERY_HIGH",
144 "originUserCraRiskScore": 1.1,
145 "destinationUserCraRiskScore": 1.1,
146 "originUserCraRiskLevel": "VERY_HIGH",
147 "destinationUserCraRiskLevel": "VERY_HIGH"
148 }
149 }
150 ],
151 "totalCount": 1.1
152}
Was this page helpful?
Previous

Batch create consumer users

Next
Built with

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

batchIdstringRequired
Unique Batch Identifier

Query parameters

pageSizedoubleOptional1-100

Page size (default 20)

pagedoubleOptional>=1
Page

Response

OK
transactionEventslist of objects
totalCountdouble

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error